<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.distribution.RMpPwAlarmDetailDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RMpPwAlarmDetailD">
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="measurementPointId" column="measurement_point_id" jdbcType="INTEGER"/>
            <result property="alarmType" column="alarm_type" jdbcType="VARCHAR"/>
            <result property="alarmInfo" column="alarm_info" jdbcType="VARCHAR"/>
            <result property="alarmLastTime" column="alarm_last_time" jdbcType="FLOAT"/>
            <result property="isCreateProblem" column="is_create_problem" jdbcType="TINYINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        data_date,measurement_point_id,alarm_type,
        alarm_info,alarm_last_time,is_create_problem
    </sql>
</mapper>
